Package ru.bitel.bgbilling.modules.npay.server.bean.object

# Class ServiceObjectManager

java.lang.Object
ru.bitel.bgbilling.modules.npay.server.bean.object.ServiceObjectManager

public class ServiceObjectManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceObjectManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteServiceObject(int id, int userId)`
  Удаление абонплаты по коду записи в БД.
  `ServiceObject`
  `getServiceObject(int id)`
  Возвращает абонплату по коду записи в БД.
  `List<ServiceObject>`
  `getServiceObjectList(int contractId, int objectId, int entityMid, int entityId)`
  Возвращает список абонплат договора.
  `List<ServiceObject>`
  `getServiceObjectList(int contractId, int objectId, int entityModuleId, int entityId, Date date)`
  Возвращает список абонплат договора.
  `List<ServiceObject>`
  `getServiceObjectList(int contractId, int serviceId, Period period)`
  `List<ServiceObject>`
  `getServiceObjectList(int contractId, Date date)`
  Возвращает список абонплат договора.
  `List<ServiceObject>`
  `getServiceObjectListForObject(int oid)`
  Возвращает абонплаты объекта.
  `List<ServiceObject>`
  `getServiceObjectLogList(int contractId, int serviceObjectId)`
  `void`
  `moveContractSevice(ServiceObject contractService, int cidFrom, int cidTo, int objectTo, int userId)`
  Перенос абонплаты на другой договор.
  `void`
  `updateServiceObject(ServiceObject value)`
  Обновление либо добавление абонплаты договора.
  `void`
  `wrapContractSevice(ServiceObject contractService, int cidTo, int objectTo, int entityToId, int userId, Date dateClose, Date dateOpen)`
  Разрыв абонплаты на два договора.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServiceObjectManager

    public ServiceObjectManager(Connection con, int moduleId)

- ## Method Details

  - ### getServiceObject

    public ServiceObject getServiceObject(int id)
    Возвращает абонплату по коду записи в БД.
    Parameters:
      `id` - код
    Returns:

  - ### updateServiceObject

    public void updateServiceObject(ServiceObject value) throws ru.bitel.bgbilling.common.BGException
    Обновление либо добавление абонплаты договора. Добавление новой записи производится value.getId() invalid input: '<'= 0.
    Parameters:
      `value` - добавляемая либо обновляемая абонплата
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteServiceObject

    public void deleteServiceObject(int id, int userId) throws ru.bitel.bgbilling.common.BGException
    Удаление абонплаты по коду записи в БД.
    Parameters:
      `id` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getServiceObjectListForObject

    public List<ServiceObject> getServiceObjectListForObject(int oid) throws ru.bitel.bgbilling.common.BGException
    Возвращает абонплаты объекта.
    Parameters:
      `oid` - код объекта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getServiceObjectList

    public List<ServiceObject> getServiceObjectList(int contractId, Date date) throws ru.bitel.bgbilling.common.BGException
    Возвращает список абонплат договора.
    Parameters:
      `contractId` - код договора
      `date` - дата, которую должны включать период выбираемых абонплат. Игнорируется при null
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getServiceObjectList

    public List<ServiceObject> getServiceObjectList(int contractId, int serviceId, Period period) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getServiceObjectList

    public List<ServiceObject> getServiceObjectList(int contractId, int objectId, int entityMid, int entityId) throws ru.bitel.bgbilling.common.BGException
    Возвращает список абонплат договора. Фильтры по entityId, entityId добавляются в запрос, только при неотрицательных значениях. Фильтр по objectId добавлется только при положительном значении.
    Parameters:
      `contractId` - код договора
      `objectId` - код объекта
      `entityMid` - код модуля, к сущности которого привязана абонплата
      `entityId` - код сущности модуля, к которой привязана абонплата
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getServiceObjectList

    public List<ServiceObject> getServiceObjectList(int contractId, int objectId, int entityModuleId, int entityId, Date date) throws ru.bitel.bgbilling.common.BGException
    Возвращает список абонплат договора. Фильтры по entityId, entityId добавляются в запрос, только при неотрицательных значениях. Фильтр по objectId добавлется только при положительном значении.
    Parameters:
      `contractId` - код договора
      `objectId` - код объекта
      `entityModuleId` - код модуля, к сущности которого привязана абонплата
      `entityId` - код сущности модуля, к которой привязана абонплата
      `date` - дата, которую должны включать периоды выбираемых абонплат
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### moveContractSevice

    public void moveContractSevice(ServiceObject contractService, int cidFrom, int cidTo, int objectTo, int userId) throws Exception
    Перенос абонплаты на другой договор.
    Parameters:
      `contractService` -
      `cidFrom` -
      `cidTo` -
      `objectTo` -
      `userId` -
    Throws:
      `Exception`

  - ### wrapContractSevice

    public void wrapContractSevice(ServiceObject contractService, int cidTo, int objectTo, int entityToId, int userId, Date dateClose, Date dateOpen) throws Exception
    Разрыв абонплаты на два договора.
    Parameters:
      `contractService` -
      `cidTo` -
      `userId` -
      `dFrom` -
    Throws:
      `Exception`

  - ### getServiceObjectLogList

    public List<ServiceObject> getServiceObjectLogList(int contractId, int serviceObjectId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`